
Redmine - Defect #6314

Upgrade from 0.9.6 to 1.0.1 fails

2010-09-06 23:27 - Walter Heck

Status: Closed Start date: 2010-09-06

Priority: High Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.0.1

Description

First, when I was running 0.9.6 everything worked peachy. Then, a few days ago I ran 'sudo gem update', which broke redmine with

the following error:

in /var//log/httpd/error_log:

[07/09/2010 04:35:37] Walter Heck: /opt/redmine-0.9.6/vendor/rails/railties/lib/rails/gem_dependency.rb:119:Warning:

Gem::Dependency#version_requirements is deprecated and will be removed on or after August 2010.  Use #requirement

The list of gems I have installed was then:

mon01 log]$ sudo gem list

LOCAL GEMS ***

abstract (1.0.0)

actionmailer (3.0.0, 2.3.8, 2.3.5)

actionpack (3.0.0, 2.3.8, 2.3.5)

activemodel (3.0.0)

activerecord (3.0.0, 2.3.8, 2.3.5)

activeresource (3.0.0, 2.3.8, 2.3.5)

activesupport (3.0.0, 2.3.8, 2.3.5)

arel (1.0.1)

builder (2.1.2)

bundler (1.0.0)

erubis (2.6.6)

fastthread (1.0.7)

i18n (0.4.1)

mail (2.2.5)

mime-types (1.16)

mysql (2.8.1)

oauth (0.4.3, 0.4.1)

passenger (2.2.15)

polyglot (0.3.1)

rack (1.2.1, 1.1.0, 1.0.1)

rack-mount (0.6.13)

rack-test (0.5.4)

rails (3.0.0, 2.3.8, 2.3.5)

railties (3.0.0)

rake (0.8.7)

thor (0.14.0)

treetop (1.4.8)

tzinfo (0.3.23)

I figured that since it was after Aug 2010, I needed to upgrade redmine, so I did an upgrade from 0.9.6 to 1.0.1 accoring to these

instructions: http://www.redmine.org/wiki/1/RedmineUpgrade

After that, I did get to see the login screen, but after login I get another error 500, which displays in the logs like this:

[Mon Sep 06 21:27:25 2010] [notice] Apache/2.2.15 (Unix) Phusion_Passenger/2.2.15 PHP/5.2.13 configured -- resuming normal

operations

/opt/redmine-1.0.1/vendor/rails/railties/lib/rails/gem_dependency.rb:119:Warning: Gem::Dependency#version_requirements is

deprecated and will be removed on or after August 2010.  Use #requirement

The {{key}} interpolation syntax in I18n messages is deprecated. Please use %{key} instead.
/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:162:in

`interpolate_without_deprecated_syntax'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:157:in `gsub'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:157:in

`interpolate_without_deprecated_syntax'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:197:in `preserve_encoding'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:156:in

`interpolate_without_deprecated_syntax'

/opt/redmine-1.0.1/vendor/rails/activerecord/lib/active_record/i18n_interpolation_deprecation.rb:21:in `interpolate'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n/backend/base.rb:49:in `translate'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/i18n-0.4.1/lib/i18n.rb:152:in `t'

/opt/redmine-1.0.1/vendor/rails/activesupport/lib/active_support/option_merger.rb:20:in `__send__'

/opt/redmine-1.0.1/vendor/rails/activesupport/lib/active_support/option_merger.rb:20:in `method_missing'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/helpers/date_helper.rb:88:in `distance_of_time_in_words'

/opt/redmine-1.0.1/vendor/rails/activesupport/lib/active_support/core_ext/object/misc.rb:78:in `with_options'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/helpers/date_helper.rb:68:in `distance_of_time_in_words'

/opt/redmine-1.0.1/app/helpers/application_helper.rb:303:in `time_tag'

/opt/redmine-1.0.1/app/helpers/application_helper.rb:299:in `authoring'

/opt/redmine-1.0.1/app/views/news/_news.rhtml:6:in

`_run_rhtml_app47views47news47_news46rhtml_locals_news_news_counter_object'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/renderable.rb:34:in `send'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/renderable.rb:34:in `render'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/base.rb:306:in `with_template'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/renderable.rb:30:in `render'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/renderable_partial.rb:20:in `render'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:30:in `benchmark'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/renderable_partial.rb:19:in `render'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/template.rb:205:in `render_template'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/renderable_partial.rb:44:in `render_partial'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/partials.rb:221:in `render_partial_collection'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/partials.rb:216:in `map'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/partials.rb:216:in `render_partial_collection'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/partials.rb:182:in `render_partial'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/base.rb:267:in `render'

/opt/redmine-1.0.1/app/views/welcome/index.rhtml:8:in `_run_rhtml_app47views47welcome47index46rhtml'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/renderable.rb:34:in `send'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/renderable.rb:34:in `render'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/base.rb:306:in `with_template'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/renderable.rb:30:in `render'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/template.rb:205:in `render_template'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/base.rb:265:in `render'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/base.rb:348:in `_render_with_layout'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_view/base.rb:262:in `render'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/base.rb:1250:in `render_for_file'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/base.rb:945:in `render_without_benchmark'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

/opt/redmine-1.0.1/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `ms'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/1.8/benchmark.rb:308:in `realtime'

/opt/redmine-1.0.1/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `ms'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:51:in `render'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/base.rb:1326:in `default_render'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/base.rb:1332:in `perform_action_without_filters'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/filters.rb:617:in `call_filters'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/filters.rb:638:in `run_before_filters'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/filters.rb:189:in `call'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/filters.rb:189:in `call'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/filters.rb:635:in `run_before_filters'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/filters.rb:615:in `call_filters'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/filters.rb:610:in `perform_action_without_benchmark'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/opt/redmine-1.0.1/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `ms'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/1.8/benchmark.rb:308:in `realtime'

/opt/redmine-1.0.1/vendor/rails/activesupport/lib/active_support/core_ext/benchmark.rb:17:in `ms'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/rescue.rb:160:in `perform_action_without_flash'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/flash.rb:146:in `perform_action'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/base.rb:532:in `send'
/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/base.rb:532:in `process_without_filters'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/filters.rb:606:in `process'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/base.rb:391:in `process'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/base.rb:386:in `call'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/routing/route_set.rb:437:in `call'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:87:in `dispatch'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:121:in `_call'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:130:in `build_middleware_stack'

/opt/redmine-1.0.1/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

/opt/redmine-1.0.1/vendor/rails/activerecord/lib/active_record/query_cache.rb:29:in `call'

/opt/redmine-1.0.1/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:34:in `cache'

/opt/redmine-1.0.1/vendor/rails/activerecord/lib/active_record/query_cache.rb:9:in `cache'

/opt/redmine-1.0.1/vendor/rails/activerecord/lib/active_record/query_cache.rb:28:in `call'

/opt/redmine-1.0.1/vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/connection_pool.rb:361:in `call'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/string_coercion.rb:25:in `call'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/head.rb:9:in `call'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/methodoverride.rb:24:in `call'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/params_parser.rb:15:in `call'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/session/cookie_store.rb:93:in `call'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/failsafe.rb:26:in `call'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `synchronize'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/rack-1.0.1/lib/rack/lock.rb:11:in `call'

/opt/redmine-1.0.1/vendor/rails/actionpack/lib/action_controller/dispatcher.rb:106:in `call'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/rack/request_handler.rb:92:in

`process_request'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/abstract_request_handler.rb:207

:in `main_loop'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/railz/application_spawner.rb:441

:in `start_request_handler'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/railz/application_spawner.rb:381

:in `handle_spawn_application'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/utils.rb:252:in `safe_fork'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/railz/application_spawner.rb:377

:in `handle_spawn_application'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/abstract_server.rb:352:in

`__send__'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/abstract_server.rb:352:in

`main_loop'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/abstract_server.rb:196:in

`start_synchronously'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/abstract_server.rb:163:in `start'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/railz/application_spawner.rb:222

:in `start'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/spawn_manager.rb:253:in

`spawn_rails_application'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/abstract_server_collection.rb:12

6:in `lookup_or_add'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/spawn_manager.rb:247:in

`spawn_rails_application'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/abstract_server_collection.rb:80:

in `synchronize'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/abstract_server_collection.rb:79:

in `synchronize'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/spawn_manager.rb:246:in

`spawn_rails_application'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/spawn_manager.rb:145:in

`spawn_application'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/spawn_manager.rb:278:in

`handle_spawn_application'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/abstract_server.rb:352:in

`__send__'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/abstract_server.rb:352:in

`main_loop'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/lib/phusion_passenger/abstract_server.rb:196:in

`start_synchronously'

/opt/ruby-enterprise-1.8.7-2010.02/lib/ruby/gems/1.8/gems/passenger-2.2.15/bin/passenger-spawn-server:61
When that was done

Related issues:

Is duplicate of Redmine - Defect #5608: broken with i18n 0.4.0 Closed 2010-05-28

History

#1 - 2010-09-07 05:36 - Walter Heck

Managed to fix my problem using http://www.redmine.org/issues/5608#note-15

#2 - 2010-09-07 05:37 - Walter Heck

Oh, I also had to run

gem install i18n -v0.3.7

To actually have a version of the i18n gem from before 0.4.1

#3 - 2010-09-07 06:17 - Jean-Baptiste Barth

- Category deleted (Administration)

- Status changed from New to Closed

- Resolution set to Duplicate

Sorry you ran into this problem, we're aware of that. Maybe we will have a workaround or a direct solution in the next major release. I'm closing this

issue as it's resolved for you.
